Package org.spongepowered.asm.mixin.injection

## Annotation Type Next

-     @Target({})
      @Retention(RUNTIME)
      public @interface Next

  See `@Desc.next`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `java.lang.Class<?>[]` | `args` | The argument types of a method to match, ignored for fields.
    `int` | `max` | The maximum number of times this selector can match.
    `int` | `min` | The minimum number of times this selector should match.
    `java.lang.String` | `name` | The name of the member to match.
    `java.lang.Class<?>` | `ret` | The return type of a method to match, or the declared type of a field.

- - ### Element Detail

    - #### name

          java.lang.String name

      The name of the member to match. Optional. If present is matched case-sensitively against targets.
      Default:
        ""

  - - #### ret

          java.lang.Class<?> ret

      The return type of a method to match, or the declared type of a field. Defaults to `void`.
      Default:
        void.class

  - - #### args

          java.lang.Class<?>[] args

      The argument types of a method to match, ignored for fields. Note that failing to specify this value matches a target with no arguments.
      Default:
        {}

  - - #### min

          int min

      The minimum number of times this selector should match. By default the selector is allowed to match no targets. When selecting fields or methods setting this value to anything other than 0 or 1 is pointless since the member can either be present or absent. However when matching method calls or field accesses (eg. when using this value inside `@At.desc`) this allows a minimum number of matches to be specified in order to provide early validation that the selector matched the correct number of candidates. To specify an exact number of matches, set `max` to the same value as `min`. Values less than zero are ignored since selectors cannot match a negative number of times.
      Default:
        0

  - - #### max

          int max

      The maximum number of times this selector can match. By default the selector is allowed to match an unlimited number of targets. When selecting fields or methods, setting this value to anything other than 1 is pointless since the member can either be present or absent. However when matching method calls or field accesses (eg. when using this value inside `@At.desc`) this allows a maximum number of matches to be specified in order to limit the number of times that the selector can match candidates. To specify an exact number of matches, set `max` to the same value as `min`. Values less than 1 are treated as `Integer.MAX_VALUE` (the default) since setting a value of 0 or less has no meaning.
      Default:
        2147483647